searchData={"content_type":"text/markdown","items":[{"doc":"Helper functions for defining constant values in your modules.","ref":"Defconstant.html","title":"Defconstant","type":"module"},{"doc":"```elixir\ndefmodule Foo do\n  import Defconstant\n\n  defconst comptime do\n    # This will be evaulated at compile time\n    Enum.sum([\n      0, 2, 3, 4, 5, 6, 8, 12, 30, 32, 33, 34, 35, 36, 38, 40, 42, 43, 44, 45,\n      46, 48, 50, 52, 53, 54, 55, 56, 58, 60, 62, 63, 64, 65, 66, 68, 80, 82,\n      83, 84, 85, 86, 88\n    ])\n  end\n\n  defonce runtime do\n    2 * 1068 + 1\n  end\nend\n```","ref":"Defconstant.html#module-usage","title":"Usage - Defconstant","type":"module"},{"doc":"Defines function that will be evaulated once, *in compile time*, and will\nreturn computation result.\n\nDefined function can only be 0-ary.\n\nExample:\n\n    defmodule MyConstants do\n      import Defconstant\n      defconst the_answer, do: 42\n\n      def my_func do\n        the_answer() * 2 # returns 84\n      end\n    end","ref":"Defconstant.html#defconst/2","title":"Defconstant.defconst/2","type":"macro"},{"doc":"Defines function that will be evaulated once, *in runtime*, and will cache the result.\n\nDefined function can only be 0-ary.","ref":"Defconstant.html#defonce/2","title":"Defconstant.defonce/2","type":"macro"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}